Subject: bug#35383: 27.0.50; Complete process of decoding Gnus group names

From: Eli Zaretskii <[email-masked]>
Date: Tue, 30 Apr 2019 20:11:15 +0300

> From: Eric Abrahamsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Tue, 30 Apr 2019 10:03:46 -0700
> 
> I think that's sufficient. I'm really only looking at two variables:
> `gnus-agent-file-coding-system', which I'm 100% sure is only used
> internally by Gnus/Emacs, and `nnmail-active-file-coding-system', which
> I'm 99% sure is only used internally.

It sounds like utf-8-emacs is TRT in both cases.

> > What other checks and guarantees did you consider?  (Sorry, I didn't
> > read the entire thread, so maybe just point me to the message where
> > you described this.)
> 
> That's where the encoding cookie idea came from -- if there's no cookie,
> read as 'raw-text, otherwise honor the cookie. But as Katsumi Yamaoka
> pointed out, the way Gnus reads the file will ignore any encoding
> cookie, so that's no good.

You could give up the cookie.  It is only important if the file is
visited by "C-x C-f" etc., which will be rare.  So having a cookie is
a nicety, not a requirement.